Unit SDataMod;

interface

uses SysUtils, Classes, InvokeRegistry, Midas, SOAPMidas, SOAPDm, Provider,
  DB, DBClient;

type
  ISoapDataMod42 = interface(IAppServer)
    ['{85FC35B6-3D09-4E7E-AA7A-4C4A8D4E5EA1}']
  end;

  TSoapDataMod42 = class(TSoapDataModule, ISoapDataMod42, IAppServer)
    cdsCustomer: TClientDataSet;
    cdsOrders: TClientDataSet;
    dsCustomer: TDataSource;
    dspCustomerOrders: TDataSetProvider;
    cdsCustomerCustNo: TFloatField;
    cdsCustomerCompany: TStringField;
    cdsCustomerAddr1: TStringField;
    cdsCustomerAddr2: TStringField;
    cdsCustomerCity: TStringField;
    cdsCustomerState: TStringField;
    cdsCustomerZip: TStringField;
    cdsCustomerCountry: TStringField;
    cdsCustomerPhone: TStringField;
    cdsCustomerFAX: TStringField;
    cdsCustomerTaxRate: TFloatField;
    cdsCustomerContact: TStringField;
    cdsCustomerLastInvoiceDate: TDateTimeField;
    cdsOrdersOrderNo: TFloatField;
    cdsOrdersCustNo: TFloatField;
    cdsOrdersSaleDate: TDateTimeField;
    cdsOrdersShipDate: TDateTimeField;
    cdsOrdersEmpNo: TIntegerField;
    cdsOrdersShipToContact: TStringField;
    cdsOrdersShipToAddr1: TStringField;
    cdsOrdersShipToAddr2: TStringField;
    cdsOrdersShipToCity: TStringField;
    cdsOrdersShipToState: TStringField;
    cdsOrdersShipToZip: TStringField;
    cdsOrdersShipToCountry: TStringField;
    cdsOrdersShipToPhone: TStringField;
    cdsOrdersShipVIA: TStringField;
    cdsOrdersPO: TStringField;
    cdsOrdersTerms: TStringField;
    cdsOrdersPaymentMethod: TStringField;
    cdsOrdersItemsTotal: TCurrencyField;
    cdsOrdersTaxRate: TFloatField;
    cdsOrdersFreight: TCurrencyField;
    cdsOrdersAmountPaid: TCurrencyField;
  private
  
  public
  
  end;

implementation

{$R *.dfm}

procedure TSoapDataMod42CreateInstance(out obj: TObject);
begin
  obj := TSoapDataMod42.Create(nil);
end;

initialization
  InvRegistry.RegisterInvokableClass(TSoapDataMod42, TSoapDataMod42CreateInstance);
  InvRegistry.RegisterInterface(TypeInfo(ISoapDataMod42));
end.
